Get a specific entity by ID.
cURL
curl --request GET \ --url https://public.api.serval.com/v2/entities/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "key": "<string>", "name": "<string>", "number": 123, "teamId": "<string>", "entityTypeId": "<string>", "entityTypeKey": "<string>", "createdByUserId": "<string>", "updatedByUserId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "fieldValues": [ { "id": "<string>", "entityId": "<string>", "fieldId": "<string>", "fieldKey": "<string>", "fieldName": "<string>", "dataType": "DATA_TYPE_UNSPECIFIED", "value": 123, "setByUserId": "<string>", "setByAppInstanceId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "pinned": true } ], "sourceAppInstanceIds": [ "<string>" ], "sharedMetadata": { "sourceTeamId": "<string>", "sourceTeamName": "<string>" } } }
Documentation IndexFetch the complete documentation index at: https://docs.serval.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.serval.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The ID of the entity.
Success
The entity.
Show child attributes
Was this page helpful?